%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Image_Canvas
Summary:	%{_pearname} - common interface to image drawing
Summary(pl.UTF-8):	%{_pearname} - wspólny interfejs do rysowania obrazków
Name:		php-pear-%{_pearname}
Version:	0.3.5
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	cce9509ab6a1daaac78ecac2431d453c
URL:		http://pear.php.net/package/Image_Canvas/
BuildRequires:	php-pear-PEAR
BuildRequires:	php-pear-PEAR >= 1:1.8.1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(gd)
Requires:	php-pear
Requires:	php-pear-Image_Color >= 1.0.0
Obsoletes:	php-pear-Image_Canvas-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A package providing a common interface to image drawing, making source
code independent on the library used.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet dostarczający wspólnego interfejsu do rysowania obrazków,
sprawiając, iż kod jest niezależny od użytej biblioteki.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Image/*.php
%{php_pear_dir}/Image/Canvas

%{php_pear_dir}/data/%{_pearname}
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Image_Canvas.git;a=log;h=master

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> b3c9898
- updated to: 0.3.5

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 7970e8a
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 3d23747
- updated to: 0.3.4

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> b7c1258
- tests are no longer installed - don't try to remove them

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 5ecf6db
- up to 0.3.3

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 3ffb648
- updated deps with pearize.sh
- release 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 3f9abfc
- up to 0.3.2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> b2ad3a1
- rel 2

* Sat Aug 25 2007 Adam Gołębiowski <adamg@pld-linux.org> 23e01cf
- updated to 0.3.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bf966ae
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e62e473
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> 4bf6db9
- rel 2: use php(extension) virtuals

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 98e7696
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 14a0de6
- AutoProv: no for -tests

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 1a58203
- 0.3.0

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 85b337d
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> b47c300
- group Development/Languages/PHP for -tests

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> 19b1c6a
- AutoReq: no for -tests

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 1347c15
- define Epoch to 0 explicitly when using it

* Thu Oct 06 2005 Elan Ruusamäe <glen@pld-linux.org> f320d42
- up to 0.2.2

